Skip to content
Start here

Clean up Cloudflare Tunnel connections

client.zeroTrust.tunnels.cloudflared.connections.delete(stringtunnelId, ConnectionDeleteParams { account_id, client_id } params, RequestOptionsoptions?): ConnectionDeleteResponse | null
DELETE/accounts/{account_id}/cfd_tunnel/{tunnel_id}/connections

Removes a connection (aka Cloudflare Tunnel Connector) from a Cloudflare Tunnel independently of its current state. If no connector id (client_id) is provided all connectors will be removed. We recommend running this command after rotating tokens.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Connectors WriteCloudflare One Connector: cloudflared WriteCloudflare Tunnel Write
ParametersExpand Collapse
tunnelId: string

UUID of the tunnel.

formatuuid
maxLength36
params: ConnectionDeleteParams { account_id, client_id }
account_id: string

Path param: Cloudflare account ID

maxLength32
client_id?: string

Query param: UUID of the Cloudflare Tunnel connector.

formatuuid
maxLength36
ReturnsExpand Collapse
ConnectionDeleteResponse = unknown

Clean up Cloudflare Tunnel connections

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const connection = await client.zeroTrust.tunnels.cloudflared.connections.delete(
  'f70ff985-a4ef-4643-bbbc-4a0ed4fc8415',
  { account_id: '699d98642c564d2e855e9661899b7252' },
);

console.log(connection);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}